<?php
/*
 */
include "entete.inc.php";
include "ihm.inc.php";
include "gpo.inc.php";
include "gpo_ui.inc.php";
include "partages.inc.php";

if (have_right($config, "se3_is_admin")) {
    $action = $_POST['valider'] ?? "";
    $suppr = $_POST['suppr'] ?? "";
    $apply = $_POST['apply'] ?? "";
    /**
     * Si on a ajouté modifié ou supprimé un lien
     */
    $gpo = search_ad($config, "redirections", "gpo")[0];
    $policy = read_gpo_sysvol($config, $gpo, USER_GPO);
    $values = get_pol_key($policy, "ExcludeProfileDirs");
    if (! empty($action) || ! empty($suppr) || !empty($apply)) {
        /**
         * Suppression d'un lien
         */
        if (is_array($suppr)) {
            foreach ($suppr as $key => $value) {
                unset($_POST['Value'][$key]);
            }
        }
        /**
         * Ajout ou modif
         */
        unset($values);
        foreach ($_POST['Value'] as $key => $value) {
            if (! empty($value)) {
                $values[] = $value;
            }
        }
        $data = change_pol_key($policy, "ExcludeProfileDirs", $values);
        update_gpo_sysvol($config, $gpo, USER_GPO, $policy);
        if ($apply == "Mettre à jour la GPO"){
            write_gpo_json($gpo, USER_GPO, "ExcludeProfileDirs", $data);
            increment_gpo_sysvol($config, $gpo, USER_GPO);
        }
    }
    echo table_roam_stats();
    print gpo_form_no_roam($config, $values);
    //echo "<pre>" . print_r(read_gpo_sysvol($config, $gpo, USER_GPO), true) . "</pre>";
} else {
    print(gettext("Vous n'avez pas les droits n&#233;cessaires pour ouvrir cette page..."));
}
// Footer
include ("pdp.inc.php");
?>