<?php

   /**
   
 * Opérations de maintenance
 * @Projet SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: /
 * file: se_fix.php

  */	



require_once "config.inc.php";
require_once "ldap.inc.php";
require ("entete.inc.php");
require_once ("lang.inc.php");
require_once ("samba.inc.php");
require_once ("partages.inc.php");
bindtextdomain('se4-core', "/var/www/sambaedu/locale");
textdomain('se4-core');

$action=$_GET['action'] ?? "";
$login=$config['login'];
//aide
$_SESSION["pageaide"]="";


if (! have_right($config, "system_is_admin")) {
    die(gettext("Vous n'avez pas les droits suffisants pour acc&#233;der &#224; cette fonction") . "</BODY></HTML>");
}


echo "<h1>".gettext("Actions de maintenance")."</h1>\n";
if ($action != "") {
        if ($action == "rmprofiles") {
        echo "<h2>".gettext("Reg&#233;n&#233;rer tous les profils errants Windows...")."</h2>";
        $command = "/bin/rm /home/profiles/* -rf";
        batch_command($command);
        $queue = "slow";
        batch_write($queue);
        //system("sudo /bin/rm /home/profiles/* -rf");
        echo "Action programm&#233;e pour 21h00 !";
    }
//    if ($action == "permse3") {
//        echo "<h2>".gettext("Remise en place des droits syst&#232;me...")."</h2>";
//        system("sudo /usr/share/sambaedu/scripts/permse3");
//        echo "Termin&#233;.";
//    }
    if ($action == "se4installpass") {

	
        if (($login == "admin")||($login == "assist")||($login == "aieple01")) {

            echo "<h2>".gettext("Affichage du mot de passe se4install...")."</h2>";
            echo "Le mot de passe de se4install est actuellement <b>" . $config['se4install_passwd'] . "</b>";
        }
        else { 
            echo "<h2>".gettext("Affichage du mot de passe se4install...")."</h2>";
            echo "Affichage non permis avec votre compte";
        }
    }
    if ($action == "restore_droits_home") {
        echo "<h2>".gettext("Remise en place des droits sur les comptes utilisateurs...")."</h2>";
        //system("sudo /usr/share/sambaedu/scripts/restore_droits.sh --home html");
        $command = "/usr/share/sambaedu/sbin/rest_rights.sh -u";
        batch_command($command);
        $queue = "slow";
        batch_write($queue);
        echo "Action programm&#233;e pour 21h00 !";
    }
//    if ($action == "restore_droits_full") {
//        echo "<h2>".gettext("Remise en place de tous les droits...TODO !")."</h2>";
//        //system("sudo /usr/share/sambaedu/scripts/restore_droits.sh acl_default auto html");
//    }
    if ($action == "restore_droits_printers") {
        echo "<h2>".gettext("Remise en place des droits sur le dossier de partage des pilotes des imprimantes...")."</h2>";
        $command = "/usr/share/sambaedu/sbin/rest_rights.sh -p";
        batch_command($command);
        $queue = "fast";
        batch_write($queue);
        echo "Action lanc&#233;e dans une minute !";
    }
    if ($action == "restore_droits_wpkg") {
        echo "<h2>".gettext("Remise en place des droits sur les dossiers wpkg...")."</h2>";
        $command = "/usr/share/sambaedu/sbin/rest_rights.sh -w";
        batch_command($command);
        $queue = "fast";
        batch_write($queue);
        echo "Action lanc&#233;e dans une minute !";
    }
    if ($action == "force_profils_wpkg") {
        echo "<h2>".gettext("Rafraichissement des machines visibles dans wpkg...")."</h2>";
        system ("/usr/bin/php '/var/www/sambaedu/wpkg/wpkg_ldap_update.php'");
	echo "ok";
    }
    if ($action == "force_rapports_wpkg") {
        echo "<h2>".gettext("Suppression des rapports wpkg...")."</h2>";
        //system("rm -f /var/sambaedu/unattended/install/wpkg/rapports/*.log");
        //system("rm -f /var/sambaedu/unattended/install/wpkg/rapports/*.txt");
	echo "ok";
    }
    if ($action == "del_reservation_dhcp") {
        echo "<h2>".gettext("Suppression des r&#233;servation DHCP")."</h2>";
        set_param($config, "del_reservations", "1", "dhcp");
        echo "ok";
    }
}
else {
echo "<h2>".gettext("Système")."</h2>";
    if (($login == "admin")||($login == "assist")||($login == "aieple01")) {
	echo "<a href=\"fix_se4.php?action=se4installpass\" onClick=\"alert('Vous allez afficher un mot de passe important, attention aux regards indiscrets !!');\">".gettext("Afficher le mot de passe de se4install")."</a>&nbsp;<u onmouseover=\"return escape".gettext("('Effectuez cette action afin de pouvoir utiliser le compte se4install')")."\"><img name=\"action_image1\"  src=\"../elements/images/system-help.png\"></u><br>";
    }
    echo "<a href=\"fix_se4.php?action=restore_droits_printers\">".gettext("Remise en place des droits sur le dossier de partage des pilotes des imprimantes")."</a>&nbsp;<u onmouseover=\"return escape".gettext("('Effectuez cette action pour remettre les droits par d&#233;faut sur /var/lib/samba/printers.<br>Ce dossier est utilis&#233; pour stocker les pilotes d\'impression')")."\"><img name=\"action_image3\"  src=\"../elements/images/system-help.png\"></u><br>";
    echo "<a href=\"fix_se4.php?action=del_reservation_dhcp\">".gettext("Suppression de toutes les r&#233;servations DHCP")."</a>&nbsp;<u onmouseover=\"return escape".gettext("('Effectuez cette action si vous voulez effacer toutes les r&#233;servations imm&#233;diatement')")."\"><img name=\"action_image4\"  src=\"../elements/images/system-help.png\"></u><br>";

    //    echo "<a href=\"fix_se4.php?action=permse3\" onclick=\"return getlongconfirm();\">".gettext("Remise en place des droits syst&#232;me par d&#233;faut")."</a>&nbsp;<u onmouseover=\"return escape".gettext("('Effectuez cette action si vous constatez des dysfonctionnements dans l\'interface ou lors des connexions')")."\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\"></u><br>";
    echo "<br>";
    echo "<h2>".gettext("Utilisateurs")."</h2>";
    echo "<a href=\"fix_se4.php?action=restore_droits_home\">".gettext("Remise en place des droits sur les comptes utilisateurs")."</a>&nbsp;<u onmouseover=\"return escape".gettext("('Effectuez cette action pour remettre les droits par d&#233;faut sur les homes.<br>Elle sera programm&#233;e pour 21h')")."\"><img name=\"action_image3\"  src=\"../elements/images/system-help.png\"></u><br>";
    echo "<a href=\"fix_se4.php?action=rmprofiles\" onclick=\"return getconfirm();\">".gettext("Reg&#233;n&#233;rer l'ensemble des profils errants Windows")."</a>&nbsp;<u onmouseover=\"return escape".gettext("('Effectuez cette action pour supprimer tous les profils errants Windows dans /home/profiles.<br>Elle sera programm&#233;e pour 21h.<br>Les donn&#233;es personnelles seront conserv&#233;es')")."\"><img name=\"action_image1\"  src=\"../elements/images/system-help.png\"></u><br>";
    echo "<br>";
//    echo "<a href=\"fix_se4.php?action=restore_droits_full\" onclick=\"return getlongconfirm();\">".gettext("Remise en place de tous les droits")."</a>&nbsp;<u onmouseover=\"return escape".gettext("('Effectuez cette action si vous constatez des probl&#232;mes de droits')")."\"><img name=\"action_image4\"  src=\"../elements/images/system-help.png\"></u><br>";
    if (file_exists("/var/sambaedu/unattended/install/wpkg")) {
         echo "<h2>".gettext("Wpkg")."</h2>";
            echo "<a href=\"fix_se4.php?action=restore_droits_wpkg\">".gettext("Remise en place des droits sur la structure des dossiers de wpkg")."</a>&nbsp;<u onmouseover=\"return escape".gettext("('Effectuez cette action si vous constatez des probl&#232;mes de droits sur les sous dossiers de wpkg')")."\"><img name=\"action_image4\"  src=\"../elements/images/system-help.png\"></u><br>";
            echo "<a href=\"fix_se4.php?action=force_profils_wpkg\">".gettext("Rafraichissement des machines visibles dans wpkg")."</a>&nbsp;<u onmouseover=\"return escape".gettext("('Effectuez cette action si vous constatez que certaines machines sont manquantes dans wpkg ou pour acc&#233;l&#233;rer la synchronisation AD --> wpkg')")."\"><img name=\"action_image4\"  src=\"../elements/images/system-help.png\"></u><br>";
            // echo "<a href=\"fix_se4.php?action=force_rapports_wpkg\">".gettext("Suppression de tous les rapports wpkg")."</a>&nbsp;<u onmouseover=\"return escape".gettext("('Effectuez cette action si vous constatez des probl&#232;mes de remont&#233;es des rapport wpkg')")."\"><img name=\"action_image4\"  src=\"../elements/images/system-help.png\"></u><br>";
        }
}
require ("pdp.inc.php");

?>
