<?php
/**

 * import de fichiers csv

 * @Projet SambaEdu

 * @auteurs denis bonnenfant

 * @Licence Distribue selon les termes de la licence GPL
 * 
 * 
 */
require_once "entete.inc.php";
include "ihm.inc.php";
require_once ("ldap.inc.php");
require_once ("fonc_outils.inc.php");
require_once ("fonc_parc.inc.php");
require "ent.inc.php";
require "pronote.inc.php";
require "partages.inc.php";

require_once ("lang.inc.php");

$end = false;
$force = false;
$ad_cns = $_POST['ad'] ?? $_GET['ad'] ?? array();
$files = $_FILES;
$action = $_POST['action'] ?? $_GET['action'] ?? "match_groups";
$form = $_POST['form'] ?? $_GET['form'] ?? "match";
$session = $_POST['lock'] ?? "";

if (have_right($config, "Annu_is_admin")) {
    echo "<h1>Importation Fichiers CSV</h1><br>\n";
    // echo refresh_page($page);
    $page = "import_csv.php#end";
    echo "<FORM name=\"ent\" enctype=\"multipart/form-data\" action=\"" . $page . "\" method=\"post\">\n";
    if (empty($session)) {
        // nouvel import
        $session = session_id();
    }
    $ent = $_POST['ent'] ?? array();
    if (count($ent) == 0) {
        echo form_config_ent($config, $ent, true);
        echo form_ent_next("nouveau");
        echo "</form>";
    } else {

        $file_type = $_POST['file_type'] ?? $ent['ent_type'];
        echo "<input type=\"hidden\" name=\"file_type\" value=\"" . $file_type . "\">";
        echo "<input type=\"hidden\" name=\"ent[ent_type]\" value=\"" . $file_type . "\">";
        $lock = apcu_fetch('ent_lock');
        if (empty($lock) || $action == "nouveau_force") {
            echo "suppression du verrou<br>";
            $session = session_id();
            apcu_add('ent_lock', $session);
            $lock = $session;
        }
        if ($lock != $session) {
            echo "session : " . $session . " lock :  " . $lock . "<br>";
            echo "Un import est déjà en cours, ou a été interrompu avant d'être fini. Vous pouvez recommencer plus tard, ou forcer une nouvelle importation.<br>\n";
            echo "<input type=\"hidden\" name=\"lock\" value=\"" . $session . "\">";
            echo form_ent_next("nouveau_force");
        } else {
            apcu_add('ent_lock', $session);
            echo "<input type=\"hidden\" name=\"lock\" value=\"" . $session . "\">";
            if ($action == "nouveau_force")
                $force = true;
            if ($action == "nouveau" || $action == "nouveau_force") {
                apcu_delete('ent_html');
                apcu_delete('group');
                apcu_delete('match');
                apcu_delete('ad');
                apcu_delete('new');
                apcu_delete('ent');
                switch ($file_type) {
                    case "csv":
                    case "csv_pronote":
                    case "xml":
                    case "kosmos":
                    case "pronote":
                        echo upload_ent($config, $files, $file_type);
                        echo form_ent_next("read_file");
                        break;
                    default:
                        echo upload_ent($config, $files, $file_type);
                        echo form_ent_next("read_file");
                }
            } elseif ($action == "read_file") {
                echo upload_ent($config, $files, $file_type);
                echo match_ad($config, true);
                echo form_ent_next("commit");
            } elseif ($action == "match_groups") {
                echo @form_map_users($config, false);
                echo form_ent_next("apply");
            } elseif ($action == "match_global") {
                echo @form_map_users($config, true);
                echo form_ent_next("apply");
            } elseif ($action == "rename") {
                echo @form_rename_users($config, false);
                echo form_ent_next("apply");
            } elseif ($action == "rename_global") {
                echo @form_rename_users($config, true);
                echo form_ent_next("apply");
            } elseif ($action == "trash") {
                echo @form_trash_users($config, false);
                echo form_ent_next("apply");
            } elseif ($action == "trash_all") {
                echo @form_trash_users($config, true);
                echo form_ent_next("apply");
            } elseif ($action == "apply") {
                if (count($ad_cns) > 0) {
                    if ($form == "match") {
                        echo match_ent_users($ad_cns);
                    } elseif ($form == "rename") {
                        echo rename_ent_users($ad_cns);
                    } elseif ($form == "trash") {
                        echo trash_ad_users($ad_cns);
                    }
                    echo form_ent_next("apply");
                } else {
                    echo "Aucun changement supplémentaire à faire.<br>";
                    echo form_ent_next("commit");
                }
            } elseif ($action == "commit") {
                switch ($file_type) {
                    case "csv_pronote":
                        $remove = false;
                        break;
                    default:
                        $remove = true;
                }
                $end = update_ad_from_ent($config, 10, $remove);
                echo apcu_fetch('ent_html');
                echo apcu_fetch('ent_type') . " : " . apcu_fetch('ent_count') . " comptes restant à traiter...<br>";
                if ($end) {
                    apcu_delete('ent_lock');
                    $headers = 'MIME-Version: 1.0' . "\n";
                    $headers .= 'Content-type: text/html; charset=utf-8' . "\n";
                    mail("root", "[se4fs] Fin d'import CSV manuel", "<b>Début d'import :</b><p>" . apcu_fetch('ent_html') . "<b>Fin d'import</b>", $headers);
                    apcu_delete('ent_html');
                    echo form_ent_next("nouveau_force");
                } else {
                    echo form_ent_next("commit");
                }
            }
        }
        echo "</form>";
        echo "<a id=\"end\"></a>";
        if ($end) {
            echo "<b> Importation terminée </b>";
            batch_write();
            apcu_delete('ent_lock');
            apcu_delete('ent');
            apcu_delete('match');
        } elseif ($action == "commit") {
            echo "<script type=\"text/javascript\">";
            // $html .= "document.forms[\"ent\"].submit()";
            echo "var wait = setTimeout(document.ent.submit(), 29000)";
            echo "</script>";
        }
    }
}
include ("pdp.inc.php");
?>    
