<?php

/**

 * Reinitialise les mots de passe
 * @Version $Id$ 
 * @Projet SambaEdu 
 * @auteurs Equipe SambaÉdu
 * @Licence Distribue selon les termes de la licence GPL
 * @note 
 */

/**
 *
 * @Repertoire: annu
 * file: pass_user_init.php
 */
include "entete.inc.php";
include_once "siecle.inc.php";
include_once "samba-tool.inc.php";
include_once "ent.inc.php";
include "ihm.inc.php";
bindtextdomain('se4-annu', "/var/www/sambaedu/locale");
textdomain('se4-annu');

if ((have_right($config, "annu_can_read")) || (have_right($config, "Annu_is_admin")) || (have_right($config, "sovajon_is_admin"))) {

    echo "<h1>" . gettext("Annuaire") . "</h1>\n";

    $cn_init = $_GET['cn'];

    // Recherche d'utilisateurs dans la branche people
    $info = search_user($config, $cn_init, true);
    if (count($info) > 0) {
        $prenom = $info["prenom"];
        $nom = $info["nom"];

        echo "<a href='people.php?cn=" . $cn_init . "' title=\"Retour à la fiche de l'utilisateur " . $nom . " " . $prenom . "\">" . $nom . " " . $prenom . "</a>: ";
        echo reinit_passwd($config, $info);
    }
}
include ("pdp.inc.php");
?>