<?php
/*
 * génération d'un fichier fond d'écran ou fond d'écran de verrouillage
 *
 * curl.exe -F "os=windows" -F "action=$action" -F "user=nomdutilisateur%" -F "machine=%computername%" "http://###_SE4FS_NAME_###/gpo/applications.php">%windir%\chemin
 *
 * on passe le nom de la machine le script et user, et on récupère un fichier jpg au boot ou a l'ouverture de session
 *
 */
require "config.inc.php";
require "ldap.inc.php";
require "logs.inc.php";
require "quotas.inc.php";
require "wallpaper.inc.php";
$machine = $_POST['machine'] ?? $_GET['machine'] ?? "";
$action = $_POST['action'] ?? $_GET['action'] ?? "";
$user = $_POST['user'] ?? $_GET['user'] ?? "";
$format = $_POST['format'] ?? $_GET['format'] ?? "jpg";

if (! empty($machine)) {
    $machine = search_machine($config, $machine);
} else {
    $machine = [];
}
if ($action == "wallpaper") {
    $cnx_user = get_machine_status($config, $machine['cn']);
    if (! empty($user)) {
        $user = search_user($config, $user);
        if (! empty($cnx_user['user'][0]['name']) && $cnx_user['user'][0]['name'] != $user['cn']) {
            $user = search_user($config, $cnx_user['user'][0]['name']);
        }
    } else {
        if (! empty($cnx_user['user'][0]['name'])) {
            $user = search_user($config, $cnx_user['user'][0]['name']);
        }
    }
}

$margin = 80;
$fontSize = 30;

switch ($action) {
    case "lockscreen":
        $image = make_lockscreen($config, $machine, $format);
        break;
    case "wallpaper":
        $image = make_wallpaper($config, $machine, $user, $format);
        break;
    case "icone":
        $image = make_icon($user);
        break;
    default:
        exit();
}

header("Content-Type: image/$format");
echo ($image);
?>
